# NAME

Trf_RegisterMessageDigest - Procedure to register a message digest algorithm in an interpreter.

# SYNOPSIS

    #include <transform.h>

    int Trf_RegisterMessageDigest
    (
    	Tcl_Interp *interp,
    	const Trf_MessageDigestDescription *md_desc
    );

# PARAMETERS

Tcl_Interp *interp
  Interpreter to register the MD algorithm at.
const Trf_MessageDigestDescription *md_desc
  Description of the MD algorithm.

# DESCRIPTION

The procedure registers the described MDA at the given interpreter. Return value is a standard tcl error code. In case of failure an error message should be left in the result area of the given interpreter.

# SEE ALSO

Trf_Init , Trf_SafeInit , Trf_IsInitialized , Trf_CreateOptions , Trf_DeleteOptions , Trf_CheckOptions , Trf_SetOption , Trf_SetObjOption , Trf_QueryOptions , Trf_SeekQueryOptions , Trf_WriteProc , Trf_CreateCtrlBlock , Trf_DeleteCtrlBlock , Trf_TransformCharacter , Trf_TransformBuffer , Trf_FlushTransformation , Trf_ClearCtrlBlock , Trf_QueryMaxRead , Trf_Register , Trf_ConverterOptions , Trf_MDStart , Trf_MDUpdate , Trf_MDUpdateBuf , Trf_MDFinal , Trf_MDCheck , Trf_LoadLibrary , Trf_XorBuffer , Trf_ShiftRegister , Trf_FlipRegisterShort , Trf_FlipRegisterLong , Trf_InitStubs